FTGL: Class Hierarchy

FTGL 2.1.3~rc5

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:
[detail level 12]

C FTBBox | FTBBox is a convenience class for handling bounding boxes
C FTBuffer | FTBuffer is a helper class for pixel buffers
▼C FTFont | FTFont is the public interface for the FTGL library
C FTBitmapFont | FTBitmapFont is a specialisation of the FTFont class for handling Bitmap fonts
C FTBufferFont | FTBufferFont is a specialisation of the FTFont class for handling memory buffer fonts
C FTExtrudeFont | FTExtrudeFont is a specialisation of the FTFont class for handling extruded Polygon fonts
C FTOutlineFont | FTOutlineFont is a specialisation of the FTFont class for handling Vector Outline fonts
C FTPixmapFont | FTPixmapFont is a specialisation of the FTFont class for handling Pixmap (Grey Scale) fonts
C FTPolygonFont | FTPolygonFont is a specialisation of the FTFont class for handling tesselated Polygon Mesh fonts
C FTTextureFont | FTTextureFont is a specialisation of the FTFont class for handling Texture mapped fonts
▼C FTGlyph | FTGlyph is the base class for FTGL glyphs
C FTBitmapGlyph | FTBitmapGlyph is a specialisation of FTGlyph for creating bitmaps
C FTBufferGlyph | FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering
C FTExtrudeGlyph | FTExtrudeGlyph is a specialisation of FTGlyph for creating tessellated extruded polygon glyphs
C FTOutlineGlyph | FTOutlineGlyph is a specialisation of FTGlyph for creating outlines
C FTPixmapGlyph | FTPixmapGlyph is a specialisation of FTGlyph for creating pixmaps
C FTPolygonGlyph | FTPolygonGlyph is a specialisation of FTGlyph for creating tessellated polygon glyphs
C FTTextureGlyph | FTTextureGlyph is a specialisation of FTGlyph for creating texture glyphs
▼C FTLayout | FTLayout is the interface for layout managers that render text
C FTSimpleLayout | FTSimpleLayout is a specialisation of FTLayout for simple text boxes
C FTPoint | FTPoint class is a basic 3-dimensional point or vector